VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CFileExtension Class Reference

file extension description More...

`#include <cfileselector.h>`

## Classes
struct | Impl

## Public Member Functions
| CFileExtension (const UTF8String &description, const UTF8String &extension, const UTF8String &mimeType="", int32_t macType=0, const UTF8String &uti="")
| CFileExtension (const CFileExtension &ext)
| ~CFileExtension () noexcept
const UTF8String & | getDescription () const
const UTF8String & | getExtension () const
const UTF8String & | getMimeType () const
const UTF8String & | getUTI () const
int32_t | getMacType () const
bool | operator== (const CFileExtension &ext) const
| CFileExtension (CFileExtension &&ext) noexcept
CFileExtension & | operator= (CFileExtension &&ext) noexcept
| CFileExtension (const PlatformFileExtension &)
const PlatformFileExtension & | getPlatformFileExtension () const

## Protected Member Functions
| CFileExtension ()
void | init (const UTF8String &description, const UTF8String &extension, const UTF8String &mimeType, const UTF8String &uti)

## Protected Attributes
std::unique_ptr< Impl > | impl

## Detailed Description

file extension description

## Constructor & Destructor Documentation

## ◆ CFileExtension() [1/5]

CFileExtension | ( | const UTF8String & | description,
|  | const UTF8String & | extension,
|  | const UTF8String & | mimeType = `""`,
|  | int32_t | macType = `0`,
|  | const UTF8String & | uti = `""`
| ) |  |

## ◆ CFileExtension() [2/5]

CFileExtension | ( | const CFileExtension & | ext | ) |

## ◆ ~CFileExtension()

~CFileExtension | ( |  | ) |
| default noexcept

## ◆ CFileExtension() [3/5]

CFileExtension | ( | CFileExtension && | ext | ) |
| noexcept

## ◆ CFileExtension() [4/5]

CFileExtension | ( | const PlatformFileExtension & | ext | ) |

## ◆ CFileExtension() [5/5]

CFileExtension | ( |  | ) |
| protected

## Member Function Documentation

## ◆ getDescription()

const UTF8String & getDescription | ( |  | ) | const

## ◆ getExtension()

const UTF8String & getExtension | ( |  | ) | const

## ◆ getMacType()

int32_t getMacType | ( |  | ) | const

## ◆ getMimeType()

const UTF8String & getMimeType | ( |  | ) | const

## ◆ getPlatformFileExtension()

const PlatformFileExtension & getPlatformFileExtension | ( |  | ) | const

## ◆ getUTI()

const UTF8String & getUTI | ( |  | ) | const

## ◆ init()

void init | ( | const UTF8String & | description,
|  | const UTF8String & | extension,
|  | const UTF8String & | mimeType,
|  | const UTF8String & | uti
| ) |  |
| protected

## ◆ operator=()

CFileExtension & operator= | ( | CFileExtension && | ext | ) |
| noexcept

## ◆ operator==()

bool operator== | ( | const CFileExtension & | ext | ) | const

## Member Data Documentation

## ◆ impl

std::unique_ptr<Impl> impl
| protected

The documentation for this class was generated from the following files:

- cfileselector.h
- cfileselector.cpp